Using VoIP-associated applications

This section describes an example of the use of VoIP-associated application with Bluetooth Utility.

  • Using Skype with a headset
Note
  • VoIP (Voice over Internet Protocol) is a technology by which voice data is sent over a TCP/IP network such as the Internet or an intranet, thereby allowing the use of network telephony.
  • Skype is a VoIP application created by the company Skype Limited. It uses P2P (peer-to-peer) technologies to allow Skype users to connect directly over the Internet and speak for free. The software also allows calling land line and cellular phones as a for-pay service.

Next


Using Skype with a headset

This section explains how to start the Skype Assistant utility, a VoIP-associating Bluetooth Utility, to allow you to use a Bluetooth Wireless Technology-compatible headset to place and receive calls.

To use the software, first start the Skype Assistant on the computer. Ensure that Skype is also installed on the computer.

This section explains the following:

  • What is Skype?
  • What is Skype Assistant?
  • Getting ready to use the software
  • Placing and receiving calls with the headset
  • Troubleshooting

Note: In order to use this software to place or receive calls using a Bluetooth Wireless Technology-compatible wireless headset, Skype must be installed on the target computer.

Note: This Help is oriented towards a Bluetooth Wireless Technology-compatible wireless headset supported by Skype Assistant. Some of the described functions may be impossible to use in your operating environment.

Note: Please do not perform connections using the "Bluetooth Settings" or launch any VoIP-associated utilities while talking with Skype. Doing so may cause the program to crash.

Terms
  • Headset refers to a Bluetooth Wireless Technology-compatible wireless headset.
  • This software refers to the Skype Assistant.

Trademarks

Skype, SkypeIn, SkypeOut, Skype Me, the Skype logo, and the S logo are registered trademarks of Skype Limited or other related companies. Skype is registered in the United States Patent and Trademark Office and Trademark Offices of the countries of Australia, Finland, Benelux, Hong Kong, Israel, Japan, Liechtenstein, New Zealand, Switzerland, and Taiwan.

Important notices (Please read)
  • When using this software, sounds other than those from Skype will be played through the speakers. If you want to hear sounds other than those from Skype, make your connection after turning off hands free communications under "Bluetooth Settings".
  • Sound quality can be adversely affected by the use of this device.
  • Please do not use this device in areas where the use of radios is forbidden (hospitals, etc.).
  • This product may not work with all versions of Skype.
  • This product may not work with all headsets.
  • Factors that cause poor radio reception may cause the Bluetooth signal to be intermittent or lost.
  • This product cannot be used if your Bluetooth Wireless Technology-compatible wireless headset does not support HFP.
  • You will be required to pay any fees associated with using Skype Out.


What is Skype?

Skype is a VoIP application created by Skype Limited. It uses P2P (peer-to-peer) technologies to allow Skype users to connect directly over the Internet and speak for free. The software also allows calling land line and cellular phones as a for-pay service.

In order to use a headset to place or receive telephone calls, the computers which will take part in the call must both have the Skype software installed.

Note: See the Skype manual for details related to Skype screens and operations. Information related to Skype may also be obtained from the Skype web site http://www.skype.com.

Note: The Skype software can be downloaded from the Skype web site (http://www.skype.com).


What is Skype Assistant?

The Skype Assistant is able to automatically connect to devices compatible with Bluetooth Wireless Technology, thereby allowing you to use a wireless headset while away from your computer. This allows placing and receiving telephone calls through Skype while using a headset.

Note: This software requires Skype to be installed on the computer it is to be used on.

Note: You will need to register and configure your headset using the Bluetooth Utility. See Getting ready to use the software for details.


Getting ready to use the software

Before using this software, you must first attach a headset to your computer and ensure that it is working.
If you are using the headset on this computer for the first time, you will need to register it. Use the Bluetooth Utility to perform headset registration.

Note: Please refer to the Bluetooth Utility help files for information related to starting and using the Bluetooth Utility.

  • Registering the headset (first time use)
  • Connecting or enabling a headset (after initial installation)

    Registering the headset (first time use)
    Instructions
    1. Click the Bluetooth Wireless Technologies icon in the task tray, and then click [Add new connection].
      Note
      • You can also click Start > All Programs > Bluetooth >Bluetooth Settings, and then click [New Connection] from the Bluetooth Settings screen. [Add New Connection Wizard (Welcome to the Add New Connection Wizard)] window will appear.
    2. Turn on the headset's power
      After you turn on the power, the headset will be capable of connecting.
      Important

      Operation of the headset will differ by manufacturer and model. Please refer to the manual of Headset for details.

    3. Select [Custom Mode], and then click the [Next] Button.
      The [Add New Connection (Searching for devices) Wizard] window will appear. After device detection is complete, the [Add New Connection (Select a device) Wizard] window will apppear.

    4. Select the headset device name from the list, and then press the [Next] Button.

    5. Select [Hands Free] from the [Select a service] screen, and press the [Next] Button.
      The [Install Hardware] screen will be displayed.

    6. Check [Use with VoIP applications]

    7. Click the [Finish] Button.
      When the driver installation is complete, the settings will be registered and an icon will appear on the [Bluetooth Settings] screen.

    8. After registration is complete, the software will start automatically.
    Connecting or enabling a headset (after initial installation)

    After performing headset registration, the software will start automatically the next time that Bluetooth is started.


Startup and menus of the Skype Assistant

This section explains the following items related to this software:

  • Starting the software
  • Main menu
  • Enabling and disabling the software

    Starting the software

    After performing headset registration, the software will start automatically the next time that Bluetooth is started.
    Note:If this software is started up when Skype is not running, it will enter a wait mode until Skype is started.

    When this software is started, Skype will display a dialog box stating "Another program wants to use Skype". Set the dialog to "Allow this program to use Skype" or "Allow this program to use Skype, but ask again in the future", and click the "OK" Button.
    Note:Any other selection will prevent this software from starting up in the future.

    Note
    • If the program stops starting up because you chose an item other than "Allow this program to use Skype" or "Allow this program to use Skype, but ask again in the future" in the "Another program wants to use Skype" dialog, follow the following steps:

      1. Open the "Privacy" window in Skype.
      2. Under "Related Tasks" in the Privacy screen, click "Manage other programs' access to Skype".
      3. At the "Manage API Access Control" screen, select the line that says "Not allowed to use Skype", and click the "Remove" Button.

      Note:See the Skype manual for details related to Skype screens and operations.

    • You can also launch the application by right-clicking on the Bluetooth Manager icon, and selecting [Skype Assistant] from the menu that appears.
    Main menu

    When the software is running, it will display an icon and minimize to the task tray.
    You can right-click the software's icon to display a system menu.

    The System Menu
    Name | Meaning

    Enable

             Enables the software, connecting it to a headset.
    Note:This item can only be selected if the software is disabled.
    Disable Disables the software, halting connections between the headset and Skype and turning off the headset.
    Note:This item can only be selected if the software is enabled.
    Help | Starts the Help program.
    About | Shows the version information of the software.
    Quit | Quits the software
    Note:"Enable", "Disable", and "Quit" cannot be selected when Skype is being used.

    Note
    • When Skype is in use, or when VoIP association is turned off, "Enable" and "Disable" cannot be selected.

    Enabling and disabling the software

    Use the software's menus to enable or disable it.
    To temporarily disable the software, thereby halting association of Skype and the headset, select "Disable" from the menu.

    To enable the software and associate Skype and the headset, select Enable from the menu.


Placing and receiving calls with the headset

You can use this software with Skype to place and receive telephone calls. This section explains the following:

  • Placing a call with Skype
  • Receiving a call with Skype

    Placing a call with Skype

    Please refer to the Skype manual for details on placing a call with Skype.

    Note
    • Please refer to the headset manual for details on how to redial the phone.
    Receiving a call with Skype

    Press the headset button to receive a call from Skype. (Skype will automatically connect the phone call to the headset.)

    Note: Please see your headset manual and the Skype manual for details related to these operations.


When you have problems

Troubleshooting

This section explains potential problems that you may encounter when using a headset with Skype, and common solutions to those problems.

Basic understanding
  • The basic concepts to keep in mind when using your device(s) are described in the section, "What you need to know about using Bluetooth wireless technology?" in the help files of the Bluetooth Utility. Should you still encounter problems after having read through this information, please refer to the items below.
  • Have the headset set up before using Skype.
  • When you do not wish to use the headset, either turn it off or delete its registered information.
  • Look under Troubleshooting in the Bluetooth Utility help files.

The headset cannot be detected
  • The headset will not be detected if it is connected to and being used by any other device.
  • It is also possible that the headset was disconnected. Try to setup again.

Cannot connect to the headset
  • The headset will not be detected if it is connected to and being used by any other device.
  • Some products will not connect via Bluetooth Wireless Technology if the device is connected to a power adapter. Try to connect after disconnecting the power adapter.

The sound is choppy, or is inaudible
  • If you are simultaneously connected to another Bluetooth Wireless Technology-compatible device while trying to use the headset, you may experience choppy sound, slow or problematic file transfers, or other problems. The other Bluetooth Wireless Technology-compatible device may also be disconnected. We recommend that you do not use the headset when another Bluetooth Wireless Technology-compatible device is in use.
  • Also make sure that you are using the headset properly. Please refer to the headset manual for details related to its operation.
  • Be sure that the volume control on the headset and on the PC are set properly. Please refer to the headset and PC manuals for details related to volume control operation.

Cannot associate the headset with Skype
  • Open the "Bluetooth Settings" screen to confirm that a valid headset is registered.
  • Confirm that the Skype settings are not set to deny device associations.
    Open the "Privacy" window in Skype. Note: See the Skype manual for details related to Skype screens and operations.
  • Be sure that the software is not set to "Disabled" under the System Menu.
  • Confirm that the headset's power is turned on.
  • Confirm that Bluetooth is running.